<back to all web services

GetTranslationsActualSourceLanguage

The following routes are available for this service:
GET/RestApi/translations/translations/actualSourceLanguages
namespace Telerik.Sitefinity.Translations.Model

open System
open System.IO
open System.Collections
open System.Collections.Generic
open System.Runtime.Serialization
open ServiceStack
open ServiceStack.DataAnnotations

    type TranslationStatus =
        | Marked = 101
        | Sending = 201
        | Sent = 202
        | Received = 301
        | Importing = 302
        | Imported = 303
        | Completed = 304
        | Archived = 401
        | Deleted = 402
        | Rejected = 403
        | SendingError = 501
        | ImportingError = 502
        | ReceivingError = 503

    [<AllowNullLiteral>]
    type GetTranslationsActualSourceLanguage() = 
        member val Type:String[] = null with get,set
        member val SearchText:String = null with get,set
        member val ActualSourceLanguage:String = null with get,set
        member val TargetLanguage:String[] = null with get,set
        member val Service:String[] = null with get,set
        member val TranslationStatus:TranslationStatus[] = null with get,set
        member val Status:String[] = null with get,set
        member val ProjectIds:Guid[] = null with get,set
        member val StartDate:Nullable<DateTime> = new Nullable<DateTime>() with get,set
        member val EndDate:Nullable<DateTime> = new Nullable<DateTime>() with get,set
        member val ErrorsOnly:Boolean = new Boolean() with get,set

F# GetTranslationsActualSourceLanguage DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/translations/actualSourceLanguages HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

[{"Code":"String","Name":"String","Count":0}]